Verify Duo

Verifies Duo authentication for a User using an Access Token, typically used when re-verification is required.

PUT
/identity/v2/auth/account/reauth/2fa/duo

Verifies Duo authentication for a User using an Access Token, typically used when re-verification is required.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

access_token?string

Access Token of the User

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/identity/v2/auth/account/reauth/2fa/duo?prevent_webhook=true&access_token=493318dd-487a-439b-8302-5e27f1110244" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "State": "k93jf0291fj29f3j29fj2309f",    "Code": "DI.1S2dYGJUL5YF4WxLE_M...OXYAHTkw"  }'
{
  "SecondFactorValidationToken": "68***-91**-****-b**b-e**********9",
  "ExpireIn": "2023-10-01T12:00:00Z"
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}